********************************************************************************
**Session: Merging
**Purpose: This program takes the information from the SOEP files and merges with
**		   the biographical information. It merges data files and create the gross
**		   dataset
**Author:  Michele Ubaldi
**Date:    December 17, 2024
********************************************************************************
***Begin 1st part

clear all
set maxvar 32000

*Read in the pequiv data file
cd "C:\Users\your_folder_path\"
use pequiv.dta

**How large is N?
count
 
isid pid hid syear
 
**Merge with the pl data - Containing the correct job termintation
merge 1:1 pid hid syear using pl.dta
drop _merge

**Merge with the pgen data
capture drop _merge
merge 1:1 pid hid syear using pgen.dta
drop _merge
 
**Merge with ppathl data
capture drop _merge
merge 1:1 pid hid syear using ppathl.dta
drop _merge
cap drop persnr

**Merge with health data
cap drop _merge
merge 1:1 pid cid syear using health.dta
drop _merge
cap drop persnr
cap drop hhnr

isid syear pid
 
**Merge with household level (hgen) data - Note this is at the HH level only
merge m:1 hid syear using "C:\Users\your_folder_path\hgen.dta"
drop _merge

isid syear pid
save "C:\Users\your_folder_path\temp.dta", replace 
 
**Merge with biol
merge 1:1 pid cid syear using "C:\Users\your_folder_path\biol.dta" 
isid syear pid
drop _merge
 
**Siblings data
rename pid persnr
rename cid hhnr
merge m:1 persnr hhnr using "C:\Users\your_folder_path\biosib.dta"
drop _merge
isid syear persnr 
 
**Merge with bio parentsf
merge m:1 persnr hhnr using "C:\Users\your_folder_path\bioparen.dta"
cap drop pid
rename persnr pid
cap drop cid
rename hhnr cid
drop _merge

isid syear pid
  
**Merge with hl
merge m:1 hid syear using "C:\Users\your_folder_path\hl.dta"
drop _merge    

isid syear pid
 
**Save the cleaned data
qui compress
save "C:\Users\your_folder_path\gross_soepv36eu.dta", replace
